Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
PDFConversionSDK.PDF2ExcelSettingData Class Reference

## Public Member Functions
| constructor (decimal_symbol, thousands_separator, workbook_setting, enable_aggressive_table_repair, include_watermarks)
| Constructor, with parameters. More...
| Set (decimal_symbol, thousands_separator, workbook_setting, enable_aggressive_table_repair, include_watermarks)
| Set value. More...

## Static Public Attributes
static | e_WorkbookSettingsDocument
| Enumeration for Excel workbook settings. More...
static | e_WorkbookSettingsEachPage
| Create worksheet for each page.
static | e_WorkbookSettingsEachTable
| Create worksheet for each table.

## Member Function Documentation

## ◆ constructor()

PDFConversionSDK.PDF2ExcelSettingData.constructor | ( | decimal_symbol | ,
|  | thousands_separator | ,
|  | workbook_setting | ,
|  | enable_aggressive_table_repair | ,
|  | include_watermarks |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | decimal_symbol | A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.
  [in] | thousands_separator | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to excel format documents.
  [in] | workbook_settings | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.
  [in] | enable_aggressive_table_repair | A boolean value that indicates whether to enabled aggressive table repair during the conversion of PDF documents to Excel format documents. Default value: true. true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents.
  [in] | include_watermarks | A boolean value that indicates whether to include the watermarks during the conversion of PDF documents to Excel format documents. Default value: false. true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents.

## ◆ Set()

PDFConversionSDK.PDF2ExcelSettingData.Set | ( | decimal_symbol | ,
|  | thousands_separator | ,
|  | workbook_setting | ,
|  | enable_aggressive_table_repair | ,
|  | include_watermarks |
| ) |  |

Set value.

Parameters

  [in] | decimal_symbol | A string value which indicates being recognized as decimal during the conversion of PDF documents to excel format documents.
  [in] | thousands_separator | A string value which indicates being recognized as thousands separator during the conversion of PDF documents to excel format documents.
  [in] | workbook_settings | An enumeration value which indicates the setting of the workbook for the conversion of PDF documents to Excel format documents.
  [in] | enable_aggressive_table_repair | A boolean value that indicates whether to enabled aggressive table repair during the conversion of PDF documents to Excel format documents. Default value: true. true means to enabled aggressive table repair for the conversion of PDF documents to Excel format documents. false means not to enabled aggressive table repair for the conversion of PDF documents to Excel format documents.
  [in] | include_watermarks | A boolean value that indicates whether to include the watermarks during the conversion of PDF documents to Excel format documents. Default value: false. true means to include watermarks for the conversion of PDF documents to Excel format documents. false means not to include watermarks for the conversion of PDF documents to Excel format documents.

Returns
  None.

## Member Data Documentation

## ◆ e_WorkbookSettingsDocument

PDFConversionSDK.PDF2ExcelSettingData.e_WorkbookSettingsDocument
| static

Enumeration for Excel workbook settings.

Values of this enumeration should be used alone.

Create single worksheet for the document.